﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_TABLEGROUP' AND KSQL_COL_NAME ='FDESCRIBE') 
 ALTER TABLE T_PHM_TABLEGROUP ADD (FDESCRIBE NVARCHAR(100) DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_METAPARAM') 
 CREATE TABLE T_PHM_METAPARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPARAM_NUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAM_SCHEMA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAM_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAM_REMARKS NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_RESULTPARAM') 
 CREATE TABLE T_PHM_RESULTPARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FRESULT_NUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESULT_SCHEMA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESULT_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESULT_REMARKS NVARCHAR(50) DEFAULT ' ' NOT NULL
);


 EXEC p_AlterColumn 'T_PHM_FIELDRELATION', 'FSRCPKFIELD', 'CHAR(1)', 'NOT NULL', '0001', ''' ''';

 EXEC p_AlterColumn 'T_PHM_FIELDRELATION', 'FDESTPKFIELD', 'CHAR(1)', 'NOT NULL', '0001', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATAGETRULE') 
 CREATE TABLE T_PHM_DATAGETRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FRULE_LEFT_BRACKET NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRULE_FIELDDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRULE_COMPARE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRULE_VALUE_VAR NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRULE_VALUE_FIXED NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRULE_RIGHT_BRACKET NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRULE_LINK NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRULE_CONDITIONFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATAMAP') 
 CREATE TABLE T_PHM_DATAMAP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMETA BIGINT DEFAULT 0 NOT NULL,
FMODE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTASKCONFLICT NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLASTDATE DATETIME,
FDTGETRULE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATAMAP_L') 
 CREATE TABLE T_PHM_DATAMAP_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATARELATION') 
 CREATE TABLE T_PHM_DATARELATION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDESTFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESTFIELDDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPK CHAR(1) DEFAULT '0' NOT NULL,
FRULE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSRC_TABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSRC_FIELD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSRC_FIELDDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISGETDATA CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_GROUPSTD') 
 CREATE TABLE T_PHM_GROUPSTD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIBE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_GROUPSTD_L') 
 CREATE TABLE T_PHM_GROUPSTD_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_PKRELATION') 
 CREATE TABLE T_PHM_PKRELATION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FKEY_DESTTABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FKEY_DESTTABLEFIELD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FKEY_SRCTABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FKEY_SRCTABLEFIELD NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_SRCLINK' AND KSQL_COL_NAME ='FRETALEMETAID') 
 ALTER TABLE T_PHM_SRCLINK ADD (FRETALEMETAID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_SRCLINK' AND KSQL_COL_NAME ='FISMAINTABLE') 
 ALTER TABLE T_PHM_SRCLINK ADD (FISMAINTABLE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_METADATA' AND KSQL_COL_NAME ='FISCSCHEMAID') 
 ALTER TABLE T_PHM_METADATA ADD (FISCSCHEMAID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_METADATA' AND KSQL_COL_NAME ='FPARAM_JST') 
 ALTER TABLE T_PHM_METADATA ADD (FPARAM_JST NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_METADATA' AND KSQL_COL_NAME ='FPARAM_JST_TAG') 
 ALTER TABLE T_PHM_METADATA ADD (FPARAM_JST_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_METADATA' AND KSQL_COL_NAME ='FRESULT_JST') 
 ALTER TABLE T_PHM_METADATA ADD (FRESULT_JST NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_METADATA' AND KSQL_COL_NAME ='FRESULT_JST_TAG') 
 ALTER TABLE T_PHM_METADATA ADD (FRESULT_JST_TAG NCLOB );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
