﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_BIZMODEL') 
 CREATE TABLE T_PHM_BIZMODEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROFESSIONFIELDID BIGINT DEFAULT 0 NOT NULL,
FVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMODELTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRELEASESTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FXML NVARCHAR(255) DEFAULT ' ' NOT NULL,
FXML_TAG NCLOB,
FISUPGRADE CHAR(1) DEFAULT ' ' NOT NULL,
FINTVERSION BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_BIZMODEL_L') 
 CREATE TABLE T_PHM_BIZMODEL_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_BM_ADJUST') 
 CREATE TABLE T_PHM_BM_ADJUST (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZMODELID BIGINT DEFAULT 0 NOT NULL,
FELEMENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPONENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREGIONNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEIGENVALUENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTEPSIZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUPPERLIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOWERLIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEIGENVALUEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWIDTH DECIMAL(19) DEFAULT 0 NOT NULL,
FHEIGHT DECIMAL(19) DEFAULT 0 NOT NULL,
FBACKCOLOR NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_BM_ELEMENT') 
 CREATE TABLE T_PHM_BM_ELEMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZMODELID DECIMAL(19) DEFAULT 0 NOT NULL,
FELEMENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPONENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWIDTH DECIMAL(19) DEFAULT 0 NOT NULL,
FHEIGHT DECIMAL(19) DEFAULT 0 NOT NULL,
FBACKCOLOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRADIUS DECIMAL(19) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_BM_TXT') 
 CREATE TABLE T_PHM_BM_TXT (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZMODELID BIGINT DEFAULT 0 NOT NULL,
FELEMENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPONENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FROWHEIGHT DECIMAL(19) DEFAULT 0 NOT NULL,
FWIDTH DECIMAL(19) DEFAULT 0 NOT NULL,
FHEIGHT DECIMAL(19) DEFAULT 0 NOT NULL,
FFONTSIZE DECIMAL(19) DEFAULT 0 NOT NULL,
FFONTCOLOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBACKCOLOR NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_BM_DETAIL') 
 CREATE TABLE T_PHM_BM_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZMODELID BIGINT DEFAULT 0 NOT NULL,
FELEMENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPONENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FX NVARCHAR(50) DEFAULT ' ' NOT NULL,
FY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDCOUNT DECIMAL(19) DEFAULT 0 NOT NULL,
FEIGENVALUENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCONFIGURATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEIGENVALUEID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSETDATA NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FWIDTH DECIMAL(19) DEFAULT 0 NOT NULL,
FHEIGHT DECIMAL(19) DEFAULT 0 NOT NULL,
FPAGEROW NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFONTCOLOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFONTSIZE DECIMAL(19) DEFAULT 0 NOT NULL,
FBACKCOLOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSETDATA_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_BM_QUERY') 
 CREATE TABLE T_PHM_BM_QUERY (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZMODELID BIGINT DEFAULT 0 NOT NULL,
FELEMENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPONENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCOMPARETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FEIGENVALUENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMPAREDETAILS CHAR(1) DEFAULT '0' NOT NULL,
FCOMPAREFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEIGENVALUEID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMPAREDATA NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FWIDTH DECIMAL(19) DEFAULT 0 NOT NULL,
FHEIGHT DECIMAL(19) DEFAULT 0 NOT NULL,
FBACKCOLOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFONTSIZE DECIMAL(19) DEFAULT 0 NOT NULL,
FFONTCOLOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPAREDATA_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_BM_CONNECT') 
 CREATE TABLE T_PHM_BM_CONNECT (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZMODELID BIGINT DEFAULT 0 NOT NULL,
FELEMENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPONENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FUPPERNODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOWERNODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEREGION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETREGION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONDATA NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FLINEWIDTH NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHAPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBACKCOLOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONDATA_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_STOREEIGENVALUE') 
 CREATE TABLE T_PHM_STOREEIGENVALUE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(250) DEFAULT ' ' NOT NULL,
FSOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FEIGENEDIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FVALUETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSET NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALUE_TAG NCLOB,
FISADD CHAR(1) DEFAULT '0' NOT NULL,
FSTOREVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTOREVALUE_TAG NCLOB,
FBIZMODELID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FELEMENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPONENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUNITID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEIGENINFO NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FWIDTH BIGINT DEFAULT 0 NOT NULL,
FHEIGHT BIGINT DEFAULT 0 NOT NULL,
FBACKCOLOR NVARCHAR(50) DEFAULT ' ' NOT NULL
);


 --- drop TABLE --------- 不允许删除表T_PHM_BIZMODEL_I，请恢复pdm ------------------- 

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
