﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_constraint.sql **/
 EXEC P_ALTERPK 'PK_PHM_COMPONENTLIBRARY', 'T_PHM_COMPONENTLIBRARY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_COMPONENTLIB_NUM') CREATE INDEX IDX_PHM_COMPONENTLIB_NUM ON T_PHM_COMPONENTLIBRARY ( FNUMBER );


 EXEC P_ALTERPK 'PK_PHM_COMPONENTLIBRARY_L', 'T_PHM_COMPONENTLIBRARY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_COMPONENTLIB_L_ID') CREATE INDEX IDX_PHM_COMPONENTLIB_L_ID ON T_PHM_COMPONENTLIBRARY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PHM_DATAPUMP_L', 'T_PHM_DATAPUMP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_DATAPUMP_L_0') CREATE INDEX IDX_PHM_DATAPUMP_L_0 ON T_PHM_DATAPUMP_L ( FID ,FLOCALEID );


EXEC p_DropIdx 'T_PHM_DATACONSUB_FENTRYID', 'T_PHM_DATACONSUB';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_DATACONSUB_FENTRYID') CREATE INDEX IDX_PHM_DATACONSUB_FENTRYID ON T_PHM_DATACONSUB ( FENTRYID );

EXEC p_DropIdx 'T_PHM_DATACONURL_FID', 'T_PHM_DATACONURL';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_DATACONURL_FID') CREATE INDEX IDX_PHM_DATACONURL_FID ON T_PHM_DATACONURL ( FID );

 EXEC p_AlterPK 'PK_PHM_COMPONENTDEFINE', 'T_PHM_COMPONENTDEFINE', 'fid', '1';
 EXEC p_AlterPK 'PK_PHM_EIGENVALUE', 'T_PHM_EIGENVALUE', 'FID', '1';
EXEC p_DropIdx 'INDX_PHM_EIGENVALUE_FNUM', 'T_PHM_EIGENVALUE';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_EIGENVALUE_FNUM') CREATE INDEX IDX_PHM_EIGENVALUE_FNUM ON T_PHM_EIGENVALUE ( FNUMBER );

 EXEC p_AlterPK 'PK_PHM_VALUEPROP', 'T_PHM_VALUEPROP', 'FENTRYID', '1';
EXEC p_DropIdx 'INDX_PHM_VALUEPROP_FID', 'T_PHM_VALUEPROP';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_VALUEPROP_FID') CREATE INDEX IDX_PHM_VALUEPROP_FID ON T_PHM_VALUEPROP ( FID );

 EXEC p_AlterPK 'PK_PHM_COMPONENTDEFINE_L', 'T_PHM_COMPONENTDEFINE_L', 'fpkid', '1';
 EXEC p_AlterPK 'PK_PHM_EIGENVALUE_L', 'T_PHM_EIGENVALUE_L', 'FPKID', '1';
EXEC p_DropIdx 'T_PHM_EIGENVALUE_L_FID', 'T_PHM_EIGENVALUE_L';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_DATAPUMP_L_FID') CREATE INDEX IDX_PHM_DATAPUMP_L_FID ON T_PHM_EIGENVALUE_L ( FID ,FLOCALEID );

 EXEC P_ALTERPK 'PK_PHM_DATAPUMP', 'T_PHM_DATAPUMP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_DATAPUMP_FNUMBER') CREATE INDEX IDX_PHM_DATAPUMP_FNUMBER ON T_PHM_DATAPUMP ( FNUMBER );


 EXEC P_ALTERPK 'PK_PHM_DATAPUMP_A', 'T_PHM_DATAPUMP_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_DATAPUMP_A_DAY') CREATE INDEX IDX_PHM_DATAPUMP_A_DAY ON T_PHM_DATAPUMP_A ( FONE );


 EXEC P_ALTERPK 'PK_PHM_DATAPUMPENTRY', 'T_PHM_DATAPUMPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_DATAPUMPENTRY_FENTRYID') CREATE INDEX IDX_PHM_DATAPUMPENTRY_FENTRYID ON T_PHM_DATAPUMPENTRY ( FID );


 --EXEC P_ALTERPK 'PK_PHM_DATAPUMPSUBENTRY', 'T_PHM_DATAPUMPSUBENTRY', 'FDETAILID', '1';

 --IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_DATAPUMPSUB_FENTRYID') CREATE INDEX IDX_PHM_DATAPUMPSUB_FENTRYID ON T_PHM_DATAPUMPSUBENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_PHM_DATATABLE_L', 'T_PHM_DATATABLE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_DATATABLE_L_0') CREATE INDEX IDX_PHM_DATATABLE_L_0 ON T_PHM_DATATABLE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PHM_TABLEGROUP_L', 'T_PHM_TABLEGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_TABLEGROUP_L_0') CREATE INDEX IDX_PHM_TABLEGROUP_L_0 ON T_PHM_TABLEGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PHM_TABLEGROUPSTANDARD_L', 'T_PHM_TABLEGROUPSTANDARD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_TABLEGROUPSTANDARD_L_0') CREATE INDEX IDX_PHM_TABLEGROUPSTANDARD_L_0 ON T_PHM_TABLEGROUPSTANDARD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PHM_DATATABLE', 'T_PHM_DATATABLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_DATATABLE_FNUMBER') CREATE INDEX IDX_PHM_DATATABLE_FNUMBER ON T_PHM_DATATABLE ( FNUMBER );


 EXEC P_ALTERPK 'PK_PHM_TABLEGROUP', 'T_PHM_TABLEGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_TABLEGROUP_FNUMBER') CREATE INDEX IDX_PHM_TABLEGROUP_FNUMBER ON T_PHM_TABLEGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_PHM_TABLEGROUPSTANDARD', 'T_PHM_TABLEGROUPSTANDARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_TABLEGRPSTD_FNUMBER') CREATE INDEX IDX_PHM_TABLEGRPSTD_FNUMBER ON T_PHM_TABLEGROUPSTANDARD ( FNUMBER );


 EXEC P_ALTERPK 'PK_PHM_DATATABLEENTRY', 'T_PHM_DATATABLEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_DATATABLEENTRY_FK') CREATE INDEX IDX_PHM_DATATABLEENTRY_FK ON T_PHM_DATATABLEENTRY ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_constraint.sql **/
