﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_COMPONENTLIBRARY') 
 CREATE TABLE T_PHM_COMPONENTLIBRARY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPRESET CHAR(1) DEFAULT '1' NOT NULL,
FSTRUCTURE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTRUCTURE_TAG NCLOB,
FPICTURE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_COMPONENTLIBRARY_L') 
 CREATE TABLE T_PHM_COMPONENTLIBRARY_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATAPUMP_L') 
 CREATE TABLE T_PHM_DATAPUMP_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


 --- drop column --------- 不允许删除表T_PHM_VALUEPROP的字段FISADD，请恢复pdm中的字段 ------------------- 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATAPUMP') 
 CREATE TABLE T_PHM_DATAPUMP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FEXPIREDTIME DATETIME,
FSTARTTIME DATETIME,
FLASTRUNTIME DATETIME,
FRUNTIMES BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(180) DEFAULT ' ' NOT NULL,
FREPEATMODE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCYCLENUM BIGINT DEFAULT 0 NOT NULL,
FBYDAYORWEEK NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBYWEEK CHAR(1) DEFAULT '0' NOT NULL,
FNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNOWEEK NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPLAN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUN CHAR(1) DEFAULT '0' NOT NULL,
FMON CHAR(1) DEFAULT '0' NOT NULL,
FTUES CHAR(1) DEFAULT '0' NOT NULL,
FWED CHAR(1) DEFAULT '0' NOT NULL,
FTHUR CHAR(1) DEFAULT '0' NOT NULL,
FFRI CHAR(1) DEFAULT '0' NOT NULL,
FSAT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATAPUMP_A') 
 CREATE TABLE T_PHM_DATAPUMP_A (
FID BIGINT DEFAULT 0 NOT NULL,
FONE CHAR(1) DEFAULT '0' NOT NULL,
FTWO CHAR(1) DEFAULT '0' NOT NULL,
FTHREE CHAR(1) DEFAULT '0' NOT NULL,
FFOUR CHAR(1) DEFAULT '0' NOT NULL,
FFIVE CHAR(1) DEFAULT '0' NOT NULL,
FSIX CHAR(1) DEFAULT '0' NOT NULL,
FSEVEN CHAR(1) DEFAULT '0' NOT NULL,
FEIGHT CHAR(1) DEFAULT '0' NOT NULL,
FNINE CHAR(1) DEFAULT '0' NOT NULL,
FTEN CHAR(1) DEFAULT '0' NOT NULL,
FELEVEN CHAR(1) DEFAULT '0' NOT NULL,
FTWELVE CHAR(1) DEFAULT '0' NOT NULL,
FTHIRTEEN CHAR(1) DEFAULT '0' NOT NULL,
FFOURTEEN CHAR(1) DEFAULT '0' NOT NULL,
FFIFTEEN CHAR(1) DEFAULT '0' NOT NULL,
FSIXTEEN CHAR(1) DEFAULT '0' NOT NULL,
FSEVENTEEN CHAR(1) DEFAULT '0' NOT NULL,
FEIGHTEEN CHAR(1) DEFAULT '0' NOT NULL,
FNINETEEN CHAR(1) DEFAULT '0' NOT NULL,
FTWENTY CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYONE CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYTWO CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYTHREE CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYFOUR CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYFIVE CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYSIX CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYSEVEN CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYEIGHT CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYNINE CHAR(1) DEFAULT '0' NOT NULL,
FTHIRTY CHAR(1) DEFAULT '0' NOT NULL,
FTHIRTYONE CHAR(1) DEFAULT '0' NOT NULL,
FJAN CHAR(1) DEFAULT '0' NOT NULL,
FFEB CHAR(1) DEFAULT '0' NOT NULL,
FMAR CHAR(1) DEFAULT '0' NOT NULL,
FAPR CHAR(1) DEFAULT '0' NOT NULL,
FMAY CHAR(1) DEFAULT '0' NOT NULL,
FJUN CHAR(1) DEFAULT '0' NOT NULL,
FJUL CHAR(1) DEFAULT '0' NOT NULL,
FAUG CHAR(1) DEFAULT '0' NOT NULL,
FSEP CHAR(1) DEFAULT '0' NOT NULL,
FOCT CHAR(1) DEFAULT '0' NOT NULL,
FNOV CHAR(1) DEFAULT '0' NOT NULL,
FDEC CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATAPUMPENTRY') 
 CREATE TABLE T_PHM_DATAPUMPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMAPPINGID BIGINT DEFAULT 0 NOT NULL
);

/**
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATAPUMPSUBENTRY') 
 CREATE TABLE T_PHM_DATAPUMPSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDATACONNAPIMARK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATACONNAPIURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATACONNAPIURL_TAG NCLOB,
FDATACONNAPIDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSELECT CHAR(1) DEFAULT '1' NOT NULL
); **/


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATATABLE_L') 
 CREATE TABLE T_PHM_DATATABLE_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_TABLEGROUP_L') 
 CREATE TABLE T_PHM_TABLEGROUP_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_TABLEGROUPSTANDARD_L') 
 CREATE TABLE T_PHM_TABLEGROUPSTANDARD_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATATABLE') 
 CREATE TABLE T_PHM_DATATABLE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTABLENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLEDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_TABLEGROUP') 
 CREATE TABLE T_PHM_TABLEGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTANDARDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_TABLEGROUPSTANDARD') 
 CREATE TABLE T_PHM_TABLEGROUPSTANDARD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIBE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATATABLEENTRY') 
 CREATE TABLE T_PHM_DATATABLEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFIELDDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFIELDLENGTH BIGINT DEFAULT 0 NOT NULL,
FPRIMARYKEY CHAR(1) DEFAULT '0' NOT NULL,
FFIELDNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEFVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
