﻿/**Begin D:\PDM_UPGRADE\pdm1\PHM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PHM_TEMP_BILLTEMPS', 'T_PHM_TEMP_BILLTEMPS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_TEMP_BILLTEMPS_ID') CREATE INDEX IDX_PHM_TEMP_BILLTEMPS_ID ON T_PHM_TEMP_BILLTEMPS ( FID );


 EXEC P_ALTERPK 'PK_T_PHM_TEMP_DATATABLES', 'T_PHM_TEMP_DATATABLES', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_TEMP_DATATABLES_ID') CREATE INDEX IDX_PHM_TEMP_DATATABLES_ID ON T_PHM_TEMP_DATATABLES ( FID );


 EXEC P_ALTERPK 'PK_T_BILLTEMP_CONF', 'T_BILLTEMP_CONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BILLTEMP_CONF_ID') CREATE INDEX IDX_BILLTEMP_CONF_ID ON T_BILLTEMP_CONF ( FDATATEMPID );


 EXEC P_ALTERPK 'PK_T_BILLTEMP_CONF_L', 'T_BILLTEMP_CONF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BILLTEMP_CONF_L_ID') CREATE INDEX IDX_BILLTEMP_CONF_L_ID ON T_BILLTEMP_CONF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_BILLTEMP_HEADCONF', 'T_BILLTEMP_HEADCONF', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BILLTEMP_HEADCONF_ID') CREATE INDEX IDX_BILLTEMP_HEADCONF_ID ON T_BILLTEMP_HEADCONF ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_PHM_FILLDATA_HISTORY', 'T_PHM_FILLDATA_HISTORY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_FILLDATA_HISTORY') CREATE INDEX IDX_PHM_FILLDATA_HISTORY ON T_PHM_FILLDATA_HISTORY ( FTEMPLATEID );


 EXEC P_ALTERPK 'PK_T_PHM_FILLDATA_HISTORY_L', 'T_PHM_FILLDATA_HISTORY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_FILLDATA_HISTORY_L') CREATE INDEX IDX_PHM_FILLDATA_HISTORY_L ON T_PHM_FILLDATA_HISTORY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PHM_HISTORYROLES', 'T_PHM_HISTORYROLES', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_HISTORYROLES_ID') CREATE INDEX IDX_PHM_HISTORYROLES_ID ON T_PHM_HISTORYROLES ( FID );


 EXEC P_ALTERPK 'PK_T_BILLTEMP_FIELDCONF', 'T_BILLTEMP_FIELDCONF', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BILLTEMP_FIELDCONF_ID') CREATE INDEX IDX_BILLTEMP_FIELDCONF_ID ON T_BILLTEMP_FIELDCONF ( FID ,FSEQ );



/**End D:\PDM_UPGRADE\pdm1\PHM_constraint.sql **/
