IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_LANE') 
 CREATE TABLE T_PHM_LANE (
 
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FLANEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLANEORG BIGINT DEFAULT 0 NOT NULL,
FLANEPROJECT BIGINT DEFAULT 0 NOT NULL,
FLANEUSER BIGINT DEFAULT 0 NOT NULL,
FLANEREMAKE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLANEMESSAGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLANEMESSAGE_TAG NCLOB,
FLANEROLE BIGINT DEFAULT 0 NOT NULL,
FLANENAME NVARCHAR(50) DEFAULT ' ' NOT NULL

);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_NODE_TASK_L') 
 CREATE TABLE T_PHM_NODE_TASK_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODE_TASK_L' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_PHM_NODE_TASK_L ADD (FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL );