﻿/**Begin D:\PDM_UPGRADE\pdm1\PHM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_WORKBENCH_PROP') 
 CREATE TABLE T_PHM_WORKBENCH_PROP (
FID BIGINT DEFAULT 0 NOT NULL,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRIORITY INT DEFAULT 0 NOT NULL,
FISSHOW CHAR(1) DEFAULT '0' NOT NULL,
FBIZOBJECTID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FTEMPLATEOBJECTID NVARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_WORKBENCH_PROP_L') 
 CREATE TABLE T_PHM_WORKBENCH_PROP_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_PROCESS_HISTORY') 
 CREATE TABLE T_PHM_PROCESS_HISTORY (
FID BIGINT DEFAULT 0 NOT NULL,
FPROCESSID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARENT BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FDATA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATA_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_PROCESS_NODE') 
 CREATE TABLE T_PHM_PROCESS_NODE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FFINISHTIME DATETIME,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNODEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPERIOD DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISCONTROL CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_NODE_RESOURCE') 
 CREATE TABLE T_PHM_NODE_RESOURCE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVERSIONNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPROCESSID BIGINT DEFAULT 0 NOT NULL,
FRUNVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNODENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNODEID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_NODE_EVENT') 
 CREATE TABLE T_PHM_NODE_EVENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNODENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FEVENTSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEVENTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEVENTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSID BIGINT DEFAULT 0 NOT NULL,
FRUNVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNODEID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_EVENT_ROLES') 
 CREATE TABLE T_PHM_EVENT_ROLES (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_NODE_TASK') 
 CREATE TABLE T_PHM_NODE_TASK (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROCESSID BIGINT DEFAULT 0 NOT NULL,
FNODENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESOURCETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKPROGRESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTROL CHAR(1) DEFAULT '0' NOT NULL,
FPERIOD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRUNVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNODEID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_TASK_ROLES') 
 CREATE TABLE T_PHM_TASK_ROLES (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\pdm1\PHM_table.sql **/
